
*, *:before, *:after {
  box-sizing: border-box;
}
body {
  background-color: #484857;
  font-family: 'Helvetica Neue', helvetica, sans-serif;
}
.calendar {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: #31313b;
  width: 100%;
  height: 880px;
  border-radius: 10px;
}
.box-head {
  position: absolute;
  left: 2px;
  right: 2px;
  height: 40px;
  border-bottom: 1px solid #484857;
}
.new-event, .cal-name {
  display: inline-block;
  float: left;
  padding: 6px 8px;
  color: #77778e;
  cursor: pointer;
  transition: all 500ms ease;
  user-select: none;
}
.new-event {
  margin: 4px 2px;
  height: 31px;
  font-size: 26px;
  font-weight: 700;
  line-height: 13px;
  text-align: center;
  border-radius: 7px;
  background-color: #31313b;
  border: 1px solid #77778e;
  color: #77778e;
}
.new-event:hover {
  color: #31313b;
  background-color: #77778e;
}
.cal-name {
  font-size: 24px;
  margin: 3px 4px;
  font-weight: 100;
}
.cal-name:hover {
  color: #9393a5;
}
.month-view {
  display: flex;
  flex-direction: column;
  position: absolute;
  left: 40px;
  right: 40px;
  top: 40px;
  bottom: 0;
  height: calc(100% - 40px);
  padding: 2px;
}
.row {
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
  height: 100%;
}
.row:first-child {
  flex-shrink: 0;
  height: 28px;
}
.dt, .day {
  border-radius: 4px;
  flex-grow: 1;
  margin: 2px;
  width: 0;
  color: #77778e;
}

 /* width */
::-webkit-scrollbar {
  width: 4px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #25252d; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

 
.dt {
  background-color: #1a1a1f;
  font-size: 12px;
  font-weight: 800;
  text-align: center;
  line-height: 24px;
}
.day {
  background-color: #25252d;
  margin: 2px;
  transition: all 500ms ease;
  cursor: pointer;
  overflow: auto
}
.day > .number {
  background-color: '#25252d';
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}
.day > .number:hover{
  background-color: '#25252d';
}
.day.ntm {
  background-color: #2b2b34;
}
.day:hover {
  background-color: #1e1e25;
}
@media (max-width: 1316px) {
  .calendar {
    border-radius: 0;
    width: 100%;
    left: 0;
    transform: translate(0, -50%);
  }
}
@media (max-height: 896px) {
  .calendar {
    border-radius: 0;
    height: 100%;
    top: 0;
    transform: translate(-50%, 0);
  }
}
@media (max-height: 896px) and (max-width: 1316px) {
  .calendar {
    transform: translate(0, 0);
  }
}
@-ms-viewport {
  width: device-width;
}

.today {
  box-shadow: 0px 0px 10px 2px seashell;
}

